apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: le-az-http-certissuer-prod
  name: limechat-mbr-generator-ingress
  namespace: limekit-prod
spec:
  ingressClassName: traefik
  rules:
    - host: limechat-mbr-generator.limechat.ai
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: limechat-mbr-generator-service
                port:
                  number: 8000
  tls:
    - hosts:
        - limechat-mbr-generator.limechat.ai
      secretName: tls-limechat-mbr-generator-ingress
